# ===================================
#  Field Definitions
# ===================================

fields:
  id:
    label: ID
    disabled: true
  name:
    label: Name
    disabled: true

  property_id:
    label: Property ID
    disabled: true

#  no_of_bedrooms:
#    label: Number of bedrooms
#  description:
#    label: Description
#    type: textarea

#  type:
#    label: Type
#  category:
#    label: Category
#  view:
#    label: View
#  aperture:
#    label: Aperture

#  category_id
#  view_id
#  aperture_id

  amenities:
    label: Amenities
    type: taglist
    customTags: false
    useKey: true
    options: listAmenity
    disabled: true

#  total_max_capacity:
#    label: Total max capacity
#  total_min_capacity:
#    label: Total min capacity
#  max_adults:
#    label: Max adults
#  min_adults:
#    label: Min adults
#  max_children:
#    label: Max children
#  min_children:
#    label: Min children
#  physical_availability:
#    label: Physical availability
#  floor_number:
#    label: Floor number

#  smoking:
#    label: Smoking
#    type: checkbox
#    conditions: active <> true
#  non_smoking:
#    label: Non smoking
#    type: checkbox
#    conditions: active <> true
#  twin_beds:
#    label: Twin beds
#    type: checkbox
#    conditions: active <> true
#  double_beds:
#    label: Double beds
#    type: checkbox
#    conditions: active <> true
#
#  sequence:
#    label: Sequence
#  physical_size:
#    label: Physical size